Build Hadoop 过程中遇到需要安装 protobuf 问题的解决方法

在 compile hadoop-common 的时候,提示 protobuf 出错,查了一下,需要安装 protobuf(是一个非 Java 的组件)

先到 homebrew 上找到安装 homebrew 的方法 ruby -e “$(curl -fsSL https://raw.github.com/mxcl/homebrew/go)”
然后不能直接 brew install protobuf,因为会安装 1.5.0,也没办法编译过的,我试了。
需要先 brew versions protobuf,然后 cd `brew –prefix`(我默认的是 cd /usr/local),直接招待刚才 brew versions 出来的那个 git clone 方法。
然后再次 brew install protobuf ,就安装  1.4.1 了,继续 maven 就没有问题了。

Build Hadoop 过程中遇到需要安装 protobuf 问题的解决方法》上有1条评论

  1. Shanna

    Thanks a lot for sharing this with all of us you really know what you are talking about! Bokkoarmed. Kindly also visit my site =). We could have a link exchange contract between us!

    回复

发表评论

电子邮件地址不会被公开。